### A free/open-source library for quantitative finance

Public Member Functions
CMSMMDriftCalculator Class Reference

Drift computation for CMS market models. More...

`#include <ql/models/marketmodels/driftcomputation/cmsmmdriftcalculator.hpp>`

List of all members.

## Public Member Functions

| CMSMMDriftCalculator (const Matrix &pseudo, const std::vector< Spread > &displacements, const std::vector< Time > &taus, Size numeraire, Size alive, Size spanningFwds)
void | compute (const CMSwapCurveState &cs, std::vector< Real > &drifts) const
| Computes the drifts.

## Detailed Description

Drift computation for CMS market models.

Returns the drift . See Mark Joshi, Rapid Computation of Drifts in a Reduced Factor Libor Market Model, Wilmott Magazine, May 2003.